<template>
  <div>
    <div style="width: 100%; background-color: #fff" class="table-page-search-wrapper">
      <a-form layout="inline" @keyup.enter.native="searchQuery">
        <a-row :gutter="24">
          <!--          <a-col :md="5" :sm="5">-->
          <!--            <a-form-item label="设备">-->
          <!--              <a-input-search :readOnly="true" v-model="queryParam.equipmentId" @search="deviceSearch"-->
          <!--                              placeholder='请选择设备'/>-->
          <!--            </a-form-item>-->
          <!--          </a-col>-->

          <!--          <a-col :md="5" :sm="5">-->
          <!--            <a-form-item label="驱动类型">-->
          <!--              <a-auto-complete-->
          <!--                v-model="queryParam.driveType"-->
          <!--                :data-source="driveTypeList"-->
          <!--                placeholder="驱动类型"-->
          <!--                :filter-option="filterOption"-->
          <!--                :allowClear="true"-->
          <!--              />-->
          <!--            </a-form-item>-->
          <!--          </a-col>-->

          <!--          <a-col>-->
          <!--            <a-space>-->
          <!--              <a-button type="primary" @click="searchQuery" icon="search">查询</a-button>-->
          <!--              <a-button type="primary" @click="searchReset" icon="reload">重置</a-button>-->
          <!--            </a-space>-->
          <!--          </a-col>-->
        </a-row>
      </a-form>
    </div>

    <div id="chart-container" style="height: 700px"></div>
  </div>
</template>

<script>
import api from '@api/mdc'
import { JeecgListMixin } from '@/mixins/JeecgListMixin'

export default {
  name: 'ChartComponent',
  components: {},
  mixins: [JeecgListMixin],
  data() {
    return {
      disableMixinCreated: true,
      typeTree: '',
      queryParam: {},
      driveTypeList: [],
      url: {},
      spinning: false
    }
  },
  props: { nodeTree: '', Type: '', nodePeople: '' },
  created() {
  },
  mounted() {
    window.addEventListener('resize', this.handleWindowResize)
    this.getDriveTypeByApi()
    this.loadData()
    this.handleWindowResize()
  },
  watch: {
    Type(valmath) {
      this.dataList = []
      this.queryParam.typeTree = valmath
    },
    nodeTree(val) { //监听currSelected 变化，将变化后的数值传递给 getCurrSelected 事件
      if (JSON.stringify(val) != '{}') {
        if (val.equipmentId != null) {
          this.queryParamEquip.parentId = ''
          this.queryParamEquip.equipmentId = val.equipmentId
        } else {
          this.queryParamEquip.parentId = val.key
          this.queryParamEquip.equipmentId = ''
        }
        this.searchQuery()
      }
    },
    nodePeople(val) {
      if (JSON.stringify(val) != '{}') {
        if (val.equipmentId != null) {
          this.queryParamPeople.parentId = val.equipmentId
          this.queryParamPeople.equipmentId = ''
        } else {
          this.queryParamPeople.parentId = val.key
          this.queryParamPeople.equipmentId = ''
        }
        this.searchQuery()
      }
    }
  },
  methods: {
    loadData() {
      this.chartContainer = this.$echarts.init(document.getElementById('chart-container'))
      const option = {
        // color:'#ccc',
        title: {
          text: '数车班设备综合利用率',
          left: 'center',
          top: 0,
          textStyle: {
            fontSize: 22
          }
        },
        grid: {
          top: '10%',
          left: '1%',
          right: '15%',
          bottom: '1%',
          containLabel: true
        },
        legend: {
          orient: 'vertical',
          top: 'center',
          right: 0,
          itemGap: 20,
          data: ['24小时', '24小时（去除故障设备）', '白班', '晚班', '16小时', '累计运行时间(h)']
        },
        tooltip: {
          show: true,
          trigger: 'axis'
        },
        xAxis: {
          type: 'category',
          data: ['1月', '2月', '3月', '4月', '5月', '6月', '7月', '8月', '9月', '10月', '11月', '12月']
        },
        yAxis: [
          {
            type: 'value',
            name: '利用率(%)',
            axisLine: {
              show: true
            },
            axisLabel: {
              formatter: '{value}%'
            }
          },
          {
            type: 'value',
            name: '运行时间(h)',
            axisLine: {
              show: true
            }
          }
        ],
        series: [
          {
            type: 'line',
            name: '24小时',
            symbol: 'diamond',
            yAxisIndex: 0,
            symbolSize: 10,
            data: [85, 32, 23, 56, 24, 64, 34, 85, 32, 23, 56, 24]
          },
          {
            type: 'line',
            name: '24小时（去除故障设备）',
            symbol: 'rect',
            symbolSize: 10,
            yAxisIndex: 0,
            data: [23, 42, 76, 54, 87, 34, 53, 76, 54, 87, 34, 53]
          },
          {
            type: 'line',
            name: '16小时',
            symbol: 'triangle',
            yAxisIndex: 0,
            symbolSize: 10,
            data: [54, 34, 12, 56, 64, 32, 90, 12, 56, 64, 32, 90]
          },
          {
            type: 'bar',
            name: '累计运行时间(h)',
            yAxisIndex: 1,
            symbolSize: 10,
            barWidth: '40%',
            data: [600, 900, 350, 366, 435, 648, 345, 350, 366, 435, 648, 345]
          }
        ]
      }
      this.chartContainer.setOption(option, true)
    },

    // 调用接口获取控制系统类型
    getDriveTypeByApi() {
      api.getDriveTypeApi().then((res) => {
        this.driveTypeList = res.result.map(item => item.value)
      })
    },

    /**
     * 联想输入框筛选功能
     * @param input 输入的内容
     * @param option 配置
     * @returns {boolean} 判断是否筛选
     */
    filterOption(input, option) {
      return (
        option.componentOptions.children[0].text.toUpperCase().indexOf(input.toUpperCase()) >= 0
      )
    },

    handleWindowResize() {
      if (this.chartContainer) this.chartContainer.resize()
    }
  }
}
</script>

<style scoped lang="less">

</style>